version: '3'

services:
  web:
    build: .
    command: python manage.py runserver 0.0.0.0:8000
#    command: "gunicorn config.wsgi:application --bind 0.0.0.0:9003"
    volumes:
      - .:/app
    ports:
      - "8000:8000"
    env_file:
      - .env
    environment:
      - DEBUG=True
  beat:
    build:
      dockerfile: Dockerfile
      context: .
    restart: always
    command: "celery -A config beat --loglevel=info"
    env_file: .env
    network_mode: host
  worker:
    build:
      dockerfile: Dockerfile
      context: .
    deploy:
      replicas: 3
      restart_policy:
        condition: on-failure
    restart: always
    command: "celery -A config worker --loglevel=info"
    env_file: .env
    network_mode: host